curl -X POST 'https://sandbox-api.bink.fi/api/documents/quick-create' \
-H 'Accept: application/json' \
-H 'X-Api-Key: YOUR_API_KEY' \
-F 'file=@agreement.pdf' \
--form-string 'signees=[
{
"email": "alex@example.com",
"name": "Alex Example"
}
]'
Examples use a placeholder key. Replace it in your application.
{
"message": "Document created",
"document": {
"downloadUrl": "https://storage.example.com/agreement.pdf?signature=example",
"emailLanguage": "fi",
"id": "cfc80de9-1e3f-4c72-b490-73381c1702da",
"tenantId": "3e02f5b5-162a-4ff1-b343-03bbf032d4a1",
"folderId": null,
"name": "Example agreement",
"status": "draft",
"pinned": null,
"createdAt": "2026-09-23T09:00:00.000Z",
"updatedAt": "2026-09-23T09:00:00.000Z",
"source": "uploaded",
"userId": "f675ae71-6cb0-4266-a9af-e82759bf6d90",
"signingMethod": "email",
"signingMessage": null,
"signingOrderEnabled": null,
"signingGroupsEnabled": false,
"reminderCooldownUntil": null,
"file": "tenants/TENANT_ID/documents/agreement.pdf",
"originalFile": "agreement.pdf",
"hash": null
},
"signees": [
{
"id": "9383ca59-9ce2-493f-b2de-527cf837c352",
"documentId": "cfc80de9-1e3f-4c72-b490-73381c1702da",
"email": "alex@example.com",
"name": "Alex Example",
"status": "pending",
"userId": "f675ae71-6cb0-4266-a9af-e82759bf6d90",
"signingOrder": null,
"signingGroupId": null,
"signedAt": null,
"createdAt": "2026-09-23T09:00:00.000Z",
"updatedAt": "2026-09-23T09:00:00.000Z"
}
],
"contentType": "application/pdf"
}